#!/usr/bin/python
# List of all known system permissions

NORMAL = 0
DANG = 1
SIG = 2
SIGSYS = 3

text2perm = {
    "0": NORMAL,
    "normal": NORMAL,
    "1": DANG,
    "dangerous": DANG,
    "signature": SIG,
    "2": SIG,
    "signatureOrSystem":SIGSYS,
    "3":SIGSYS,
    "signature|system":SIGSYS}

permissions = {
"android.permission.ACCESS_CHECKIN_PROPERTIES":SIG,
"android.permission.ACCESS_COARSE_LOCATION":SIG,
"android.permission.ACCESS_FINE_LOCATION":SIG,
"android.permission.ACCESS_LOCATION_EXTRA_COMMANDS":SIG,
"android.permission.ACCESS_MOCK_LOCATION":SIG,
"android.permission.ACCESS_NETWORK_STATE":SIG,
"android.permission.ACCESS_SURFACE_FLINGER":SIG,
"android.permission.ACCESS_WIFI_STATE":SIG,
"android.permission.ACCOUNT_MANAGER":SIG,
"android.permission.AUTHENTICATE_ACCOUNTS":SIG,
"android.permission.BATTERY_STATS":SIG,
"android.permission.BIND_ACCESSIBILITY_SERVICE":SIG,
"android.permission.BIND_APPWIDGET":SIG,
"android.permission.BIND_DEVICE_ADMIN":SIG,
"android.permission.BIND_INPUT_METHOD":SIG,
"android.permission.BIND_REMOTEVIEWS":SIG,
"android.permission.BIND_TEXT_SERVICE":SIG,
"android.permission.BIND_VPN_SERVICE":SIG,
"android.permission.BIND_WALLPAPER":SIG,
"android.permission.BLUETOOTH":SIG,
"android.permission.BLUETOOTH_ADMIN":SIG,
"android.permission.BRICK":SIG,
"android.permission.BROADCAST_PACKAGE_REMOVED":SIG,
"android.permission.BROADCAST_SMS":SIG,
"android.permission.BROADCAST_STICKY":SIG,
"android.permission.BROADCAST_WAP_PUSH":SIG,
"android.permission.CALL_PHONE":SIG,
"android.permission.CALL_PRIVILEGED":SIG,
"android.permission.CAMERA":SIG,
"android.permission.CHANGE_COMPONENT_ENABLED_STATE":SIG,
"android.permission.CHANGE_CONFIGURATION":SIG,
"android.permission.CHANGE_NETWORK_STATE":SIG,
"android.permission.CHANGE_WIFI_MULTICAST_STATE":SIG,
"android.permission.CHANGE_WIFI_STATE":SIG,
"android.permission.CLEAR_APP_CACHE":SIG,
"android.permission.CLEAR_APP_USER_DATA":SIG,
"android.permission.CONTROL_LOCATION_UPDATES":SIG,
"android.permission.DELETE_CACHE_FILES":SIG,
"android.permission.DELETE_PACKAGES":SIG,
"android.permission.DEVICE_POWER":SIG,
"android.permission.DIAGNOSTIC":SIG,
"android.permission.DISABLE_KEYGUARD":SIG,
"android.permission.DUMP":SIG,
"android.permission.EXPAND_STATUS_BAR":SIG,
"android.permission.FACTORY_TEST":SIG,
"android.permission.FLASHLIGHT":SIG,
"android.permission.FORCE_BACK":SIG,
"android.permission.GET_ACCOUNTS":SIG,
"android.permission.GET_PACKAGE_SIZE":SIG,
"android.permission.GET_TASKS":SIG,
"android.permission.GLOBAL_SEARCH":SIG,
"android.permission.HARDWARE_TEST":SIG,
"android.permission.INJECT_EVENTS":SIG,
"android.permission.INSTALL_LOCATION_PROVIDER":SIG,
"android.permission.INSTALL_PACKAGES":SIG,
"android.permission.INTERNAL_SYSTEM_WINDOW":SIG,
"android.permission.INTERNET":SIG,
"android.permission.KILL_BACKGROUND_PROCESSES":SIG,
"android.permission.MANAGE_ACCOUNTS":SIG,
"android.permission.MANAGE_APP_TOKENS":SIG,
"android.permission.MASTER_CLEAR":SIG,
"android.permission.MODIFY_AUDIO_SETTINGS":SIG,
"android.permission.MODIFY_PHONE_STATE":SIG,
"android.permission.MOUNT_FORMAT_FILESYSTEMS":SIG,
"android.permission.MOUNT_UNMOUNT_FILESYSTEMS":SIG,
"android.permission.NFC":SIG,
"android.permission.PERSISTENT_ACTIVITY":SIG,
"android.permission.PROCESS_OUTGOING_CALLS":SIG,
"android.permission.READ_CALENDAR":SIG,
"android.permission.READ_CALL_LOG":SIG,
"android.permission.READ_CONTACTS":SIG,
"android.permission.READ_EXTERNAL_STORAGE":SIG,
"android.permission.READ_FRAME_BUFFER":SIG,
"android.permission.READ_INPUT_STATE":SIG,
"android.permission.READ_LOGS":SIG,
"android.permission.READ_PHONE_STATE":SIG,
"android.permission.READ_PROFILE":SIG,
"android.permission.READ_SMS":SIG,
"android.permission.READ_SOCIAL_STREAM":SIG,
"android.permission.READ_SYNC_SETTINGS":SIG,
"android.permission.READ_SYNC_STATS":SIG,
"android.permission.READ_USER_DICTIONARY":SIG,
"android.permission.REBOOT":SIG,
"android.permission.RECEIVE_BOOT_COMPLETED":SIG,
"android.permission.RECEIVE_MMS":SIG,
"android.permission.RECEIVE_SMS":SIG,
"android.permission.RECEIVE_WAP_PUSH":SIG,
"android.permission.RECORD_AUDIO":SIG,
"android.permission.REORDER_TASKS":SIG,
"android.permission.RESTART_PACKAGES":SIG,
"android.permission.SEND_SMS":SIG,
"android.permission.SET_ACTIVITY_WATCHER":SIG,
"android.permission.SET_ALWAYS_FINISH":SIG,
"android.permission.SET_ANIMATION_SCALE":SIG,
"android.permission.SET_DEBUG_APP":SIG,
"android.permission.SET_ORIENTATION":SIG,
"android.permission.SET_POINTER_SPEED":SIG,
"android.permission.SET_PREFERRED_APPLICATIONS":SIG,
"android.permission.SET_PROCESS_LIMIT":SIG,
"android.permission.SET_TIME":SIG,
"android.permission.SET_TIME_ZONE":SIG,
"android.permission.SET_WALLPAPER":SIG,
"android.permission.SET_WALLPAPER_HINTS":SIG,
"android.permission.SIGNAL_PERSISTENT_PROCESSES":SIG,
"android.permission.STATUS_BAR":SIG,
"android.permission.SUBSCRIBED_FEEDS_READ":SIG,
"android.permission.SUBSCRIBED_FEEDS_WRITE":SIG,
"android.permission.SYSTEM_ALERT_WINDOW":SIG,
"android.permission.UPDATE_DEVICE_STATS":SIG,
"android.permission.USE_CREDENTIALS":SIG,
"android.permission.USE_SIP":SIG,
"android.permission.VIBRATE":SIG,
"android.permission.WAKE_LOCK":SIG,
"android.permission.WRITE_APN_SETTINGS":SIG,
"android.permission.WRITE_CALENDAR":SIG,
"android.permission.WRITE_CALL_LOG":SIG,
"android.permission.WRITE_CONTACTS":SIG,
"android.permission.WRITE_EXTERNAL_STORAGE":SIG,
"android.permission.WRITE_GSERVICES":SIG,
"android.permission.WRITE_PROFILE":SIG,
"android.permission.WRITE_SECURE_SETTINGS":SIG,
"android.permission.WRITE_SETTINGS":SIG,
"android.permission.WRITE_SMS":SIG,
"android.permission.WRITE_SOCIAL_STREAM":SIG,
"android.permission.WRITE_SYNC_SETTINGS":SIG,
"android.permission.WRITE_USER_DICTIONARY":SIG
}
